Page MenuHome

Textures not displayed in sculpt mode due to missing UVs (PBVH rendering, Multires)
Confirmed, NormalPublicKNOWN ISSUE

Description

System Information
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: GeForce GTX 1080 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 417.35

Blender Version
Broken: version: 2.80 (sub 55), branch: master, commit date: 2019-04-13 17:26, hash: rB6815efc3ff85
Worked: 2.79b

Short description of error
Model with Multiresolution modifier doesn't display texture in Sculpt Mode.
Render engine doesn't matter.


Observed in display modes:

  1. Solid (Lighting: Studio / Color: Texture)
  2. LookDev
  3. Rendered (in Cycles mesh is invisible)

Exact steps for others to reproduce the error

  1. Open
  2. Enable "Display modifier in viewport."

OR

  1. Switch to LookDev mode
  2. Apply multiresolution modifier to a mesh with texture
  3. Add single subdivision

Event Timeline

Sebastian Parborg (zeddb) lowered the priority of this task from 90 to 50.

@Sergey Sharybin (sergey) I think we had a ticket for this already, but I can't seem to find it.

Brecht Van Lommel (brecht) renamed this task from Model with Multiresolution modifier doesn't display texture in Sculpt Mode to Multires: textures not displayed in sculpt mode due to missing UVs.May 29 2019, 2:25 PM
Pablo Dobarro (pablodp606) claimed this task.

When using PBVH rendering there is not UV information (it only has position, normal, mask and color). This is explicitly coded this way and it works like that in any mode. If you try to sculpt on a regular mesh with UVs, the texture won't render until you add a modifier, which disables PBVH rendering.
We should decide if adding texture support to the PBVH is something we want to add to sculpt mode (it can be useful in some cases) or if we should add a better UI to communicate why the texture rendering is disabled. So I think this is a development task, not a bug.

Bug or not, this is still a very big regression from 2.79 and the reason why many people still have to switch between 2.79 and 2.8 because in 2.79 you can sculpt in Solid (Textured Solid) and Material modes both with subdivided Multires and on regular objects with textures displayed without having to constantly switch to Object mode to see what you are doing and without having to invent workarounds. Applying another modifier over Multires doesn’t seem to work at all because when you enter Sculpt mode it just says “Not supported in sculpt mode” in both Solid and Preview modes so it seems there’s simply no way to see textures in Sculpt mode with subdivided Multires applied.

Dalai Felinto (dfelinto) reopened this task as Confirmed.Jan 24 2020, 12:32 PM
Dalai Felinto (dfelinto) changed the subtype of this task from "Report" to "Known Issue".

Hi @Pablo Dobarro (pablodp606) Sergey and I talked, and this is not invalid per-se, but how it is coded. And the way it was coded does violate design.

To address this is indded not a simple as a regular bug fix, but leaving it open helps as documentation. Otherwise users will keep re-reporting this.

Also collecting these issues help to illustrate the shortcomes of the current implementation and eventually lead us to decide on tackling them as big projects, refactoring things or even to abandon an area.

is there really no way to display a texture while in multires sculpting??? has anyone come up with a workaround for this? this pretty much makes multires sculpting completely useless

Blender 2.83.5
As a workaround, I tried vertex paint for multires sculpting. (Which is of course, less detailed but it gives at least some guidance. ) But also vertex paint isn't seen in sculpting mode with multires. Somehow this should be resolved if we want Blender to be able to encompass a complete creation workflow.

Philipp Oeser (lichtwerk) renamed this task from Multires: textures not displayed in sculpt mode due to missing UVs to Textures not displayed in sculpt mode due to missing UVs (PBVH rendering, Multires).Sep 22 2020, 3:36 PM

Just came across this myself while attempting to sculpt vehicle tire normal map details based on a manufacturer's provided texture map. Work is for a client. Texture is not shown in Dynamic Topology mode either. This seems to be a major limitation in Sculpt mode. While my simple scenario can likely still be accomplished by other means, the ability to sculpt while displaying a UV mapped texture would be a brilliant feature to have, especially when using a photo reference. Hopefully this can be added in a future release. :-)

Is anyone working on this issue at the moment?

@Simone Lipschitz (illussimo), there is D9522 which is being worked on. Think the end goal of that project will resolve this issue.

Is it likely it will be resolved in 2.91, or is that too optimistic?

This is too big of a change to be considered a safe fix for 2.91. Realistically, it should be doable for 2.92. But it depends on availability and load of Pablo's and Clement's desks.

george b (bestelix) rescinded a token.
george b (bestelix) awarded a token.

Just to document some workflows where this is very important, if not vital.

I'm sculpting a low poly earth model, with a texture in it. If I want to make details like, mountains, valleys, etc... I really need to see the texture, as it is my guide to know where I am.

Indeed it is an important issue to be solved, but probably quite complex. Any chance of getting it working in 2.92?

I have a partial work-around for this. What you can do is create two linked duplicates of your object, then you sculpt on one, and allow the other to display the material. The one problem is that you don't get feedback as you're using the sculpt brush, only after you release the mouse button.

You should normally have the duplicates on top of each other, so you can see how the mouse pointer lines up with the material. To stop the two meshes interfering, select the mesh you're going to sculpt on, and go to Viewport Display. You can then set Display As to Wire or Bounds, depending on your preference.

Wire can be quite helpful because at least you then see the wire frame updating as you use the brush. The material then catches up when you release the button.

Unfortunately, it is still not working in 2.92. Is somebody working on this issue so that it will work in 2.93, or do we have to wait for 3.0? The partial workaround is a nice suggestion for now but, sadly, these workarounds are still needed, aren't optimal and it feels clumsy that it should be necessary. While sculpting in Blender is now so fully featured and advanced, this shouldn't lag.
Please give this issue a higher priority!

Jumping in to add that we absolutely need this for production. Working on feature film characters and adding sculpt details after a character is textured is proving to be impossible.

When will this important issue be picked up? This surely should be resolved in 2.93 (LTS)!

This should come after finishing the design and implementation of T85296 and T84864. After that, adding new features to sculpt mode rendering should be way easier.

@Pablo Dobarro (pablodp606) First of all thank you so much for all the fantastic improvements in sculpt mode. Multires is used a lot for creating high-quality normal maps. It does a good job at that. Being able to see the texture or vertex paint while sculpting with multires is not a new feature but has somehow been broken. Is there no way to repair this? It is so important for animation, game, and WebGL production.

Any news on this issue? Any timeframe when this will be resolved? Please, give this high priority and keep us informed when it is resolved.
Thanks.